
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《算法导论》读书笔记之动态规划—最长公共子序列 &amp; 最长公共子串（LCS） / 憋错料</title>

    <meta name="description" content="《算法导论》读书笔记之动态规划—最长公共子序列 &amp; 最长公共子串（LCS） From:http://my.oschina.net/leejun2005/blog/117167 1.先科普下最长公共子序列 &amp; 最长公共子串的区别: 找两个字符串的最长公共子串,这个子串要求在原字符串中是连续的.而最长公共子序列则并不要求连续. 2.最长公共子串 其实这是一个序贯决策问题,可以用动态规划来求解.我们采用一个二维矩阵来记录中间的结果.这个二维矩阵怎么构造呢?直接举个例子吧:&quot;bab&quot;和&quot;caba&quot;(当然我们现在一眼就可以看出来最长 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">《算法导论》读书笔记之动态规划—最长公共子序列 &amp; 最长公共子串（LCS）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>From:http://my.oschina.net/leejun2005/blog/117167</p>
<p>1、先科普下最长公共子序列 &amp; 最长公共子串的区别：</p>
<p>找两个字符串的最长公共子串，这个子串要求在原字符串中是连续的。而最长公共子序列则并不要求连续。</p>
<p>2、最长公共子串</p>
<p>其实这是一个序贯决策问题，可以用动态规划来求解。我们采用一个二维矩阵来记录中间的结果。这个二维矩阵怎么构造呢？直接举个例子吧："bab"和"caba"(当然我们现在一眼就可以看出来最长公共子串是"ba"或"ab")</p>
<p>　　 b　　a　　b</p>
<p>c　　0　　0　　0</p>
<p>a　　0　　1　　0</p>
<p>b　　1　　0　　1</p>
<p>a　　0　　1　　0</p>
<p>我们看矩阵的斜对角线最长的那个就能找出最长公共子串。</p>
<p>不过在二维矩阵上找最长的由1组成的斜对角线也是件麻烦费时的事，下面改进：当要在矩阵是填1时让它等于其左上角元素加1。</p>
<p>　　 b　　a　　b</p>
<p>c　　0　　0　　0</p>
<p>a　　0　　1　　0</p>
<p>b　　1　　0　　2</p>
<p>a　　0　　2　　0</p>
<p>这样矩阵中的最大元素就是 最长公共子串的长度。</p>
<p>在构造这个二维矩阵的过程中由于得出矩阵的某一行后其上一行就没用了，所以实际上在程序中可以用一维数组来代替这个矩阵。</p>
<p>2.1 代码如下：</p>
<pre>public class LCString2 {

    public static void getLCString(char[] str1, char[] str2) {
        int i, j;
        int len1, len2;
        len1 = str1.length;
        len2 = str2.length;
        int maxLen = len1 &gt; len2 ? len1 : len2;
        int[] max = new int[maxLen];
        int[] maxIndex = new int[maxLen];
        int[] c = new int[maxLen]; // 记录对角线上的相等值的个数

        for (i = 0; i &lt; len2; i++) {
            for (j = len1 - 1; j &gt;= 0; j--) {
                if (str2[i] == str1[j]) {
                    if ((i == 0) || (j == 0))
                        c[j] = 1;
                    else
                        c[j] = c[j - 1] + 1;
                } else {
                    c[j] = 0;
                }

                if (c[j] &gt; max[0]) { // 如果是大于那暂时只有一个是最长的,而且要把后面的清0;
                    max[0] = c[j]; // 记录对角线元素的最大值，之后在遍历时用作提取子串的长度
                    maxIndex[0] = j; // 记录对角线元素最大值的位置

                    for (int k = 1; k &lt; maxLen; k++) {
                        max[k] = 0;
                        maxIndex[k] = 0;
                    }
                } else if (c[j] == max[0]) { // 有多个是相同长度的子串
                    for (int k = 1; k &lt; maxLen; k++) {
                        if (max[k] == 0) {
                            max[k] = c[j];
                            maxIndex[k] = j;
                            break; // 在后面加一个就要退出循环了
                        }

                    }
                }
            }
        }

        for (j = 0; j &lt; maxLen; j++) {
            if (max[j] &gt; 0) {
                System.out.println("第" + (j + 1) + "个公共子串:");
                for (i = maxIndex[j] - max[j] + 1; i &lt;= maxIndex[j]; i++)
                    System.out.print(str1[i]);
                System.out.println(" ");
            }
        }
    }

    public static void main(String[] args) {

        String str1 = new String("123456abcd567");
        String str2 = new String("234dddabc45678");
        // String str1 = new String("aab12345678cde");
        // String str2 = new String("ab1234yb1234567");
        getLCString(str1.toCharArray(), str2.toCharArray());
    }
}
</pre>
<p>　　</p>
<p>ref：</p>
<p>LCS的java算法---考虑可能有多个相同的最长公共子串</p>
<p><a href="http://blog.csdn.net/rabbitbug/article/details/1740557" rel="external nofollow noreferrer">http://blog.csdn.net/rabbitbug/article/details/1740557</a></p>
<p>最大子序列、最长递增子序列、最长公共子串、最长公共子序列、字符串编辑距离</p>
<p><a href="http://www.cnblogs.com/zhangchaoyang/articles/2012070.html" rel="external nofollow noreferrer">http://www.cnblogs.com/zhangchaoyang/articles/2012070.html</a></p>
<p>2.2 其实 awk 写起来也很容易：</p>
<pre>echo "123456abcd567
234dddabc45678"|awk -vFS="" ‘NR==1{str=$0}NR==2{N=NF;for(n=0;n++&lt;N;){s="";for(t=n;t&lt;=N;t++){s=s""$t;if(index(str,s)){a[n]=t-n;b[n]=s;if(m&lt;=a[n])m=a[n]}else{t=N}}}}END{for(n=0;n++&lt;N;)if(a[n]==m)print b[n]}‘</pre>
<p>ref：<a href="http://bbs.chinaunix.net/thread-4055834-2-1.html" rel="external nofollow noreferrer">http://bbs.chinaunix.net/thread-4055834-2-1.html</a></p>
<p>3、最长公共子序列</p>
<pre>import java.util.Random;

public class LCS {

    public static void main(String[] args) {

        // 随机生成字符串
        // String x = GetRandomStrings(substringLength1);
        // String y = GetRandomStrings(substringLength2);
        String x = "a1b2c3";
        String y = "1a1wbz2c123a1b2c123";
        // 设置字符串长度
        int substringLength1 = x.length();
        int substringLength2 = y.length(); // 具体大小可自行设置

        // 构造二维数组记录子问题x[i]和y[i]的LCS的长度
        int[][] opt = new int[substringLength1 + 1][substringLength2 + 1];

        // 从后向前，动态规划计算所有子问题。也可从前到后。
        for (int i = substringLength1 - 1; i &gt;= 0; i--) {
            for (int j = substringLength2 - 1; j &gt;= 0; j--) {
                if (x.charAt(i) == y.charAt(j))
                    opt[i][j] = opt[i + 1][j + 1] + 1;// 状态转移方程
                else
                    opt[i][j] = Math.max(opt[i + 1][j], opt[i][j + 1]);// 状态转移方程
            }
        }
        System.out.println("substring1:" + x);
        System.out.println("substring2:" + y);
        System.out.print("LCS:");

        int i = 0, j = 0;
        while (i &lt; substringLength1 &amp;&amp; j &lt; substringLength2) {
            if (x.charAt(i) == y.charAt(j)) {
                System.out.print(x.charAt(i));
                i++;
                j++;
            } else if (opt[i + 1][j] &gt;= opt[i][j + 1])
                i++;
            else
                j++;
        }
    }

    // 取得定长随机字符串
    public static String GetRandomStrings(int length) {
        StringBuffer buffer = new StringBuffer("abcdefghijklmnopqrstuvwxyz");
        StringBuffer sb = new StringBuffer();
        Random r = new Random();
        int range = buffer.length();
        for (int i = 0; i &lt; length; i++) {
            sb.append(buffer.charAt(r.nextInt(range)));
        }
        return sb.toString();
    }
}
</pre>
<p>　　</p>
<p>REF：</p>
<p>字符串最大公共子序列以及最大公共子串问题</p>
<p><a href="http://gongqi.iteye.com/blog/1517447" rel="external nofollow noreferrer">http://gongqi.iteye.com/blog/1517447</a></p>
<p>动态规划算法解最长公共子序列LCS问题</p>
<p><a href="http://blog.csdn.net/v_JULY_v/article/details/6110269" rel="external nofollow noreferrer">http://blog.csdn.net/v_JULY_v/article/details/6110269</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-22 02:52:29 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>《算法导论》读书笔记之动态规划—最长公共子序列 &amp; 最长公共子串（LCS）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZAGlZ0.html" rel="bookmark">算法导论读书笔记之钢条切割问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法导论读书笔记之钢条切割问题 巧若拙(欢迎转载,但请注明出处:http://blog.csdn.net/qiaoruozhuo) 给定一段长度为n英寸的钢条和一个价格表 pi (i=1,2, -,n),求切割钢条的方案,使得销售收益rn最大.注意,如果长度为n英寸的钢条价格pn足够大,最优解可能就是完全不需要切割. 若钢条的长度为i,则钢条的价格为Pi,如何对给定长度的钢条进行切割能得到最大收益? 长度i   1   2    3   4     5      6     7     8  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyWENV3.html" rel="bookmark">算法导论读书笔记（17）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法导论读书笔记(17) 目录 动态规划概述 钢条切割 自顶向下的递归实现 使用动态规划解决钢条切割问题 子问题图 重构解 钢条切割问题的简单Java实现 动态规划概述 和分治法一样, 动态规划 (dynamic programming)是通过组合子问题的解而解决整个问题的.分治法是将问题划分成一些独立的子问题,递归地求解各子问题,然后合并子问题的解而得到原问题的解.与此不同,动态规划适用于子问题并不独立的情况,即各子问题包含公共的子子问题.在这种情况下,分治法会重复地求解公共的子子问题.而动态			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLv7Gv3.html" rel="bookmark">算法导论读书笔记（18）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法导论读书笔记(18) 目录 最长公共子序列 步骤1:描述最长公共子序列的特征 步骤2:一个递归解 步骤3:计算LCS的长度 步骤4:构造LCS LCS问题的简单Java实现 最长公共子序列 某给定序列的子序列,就是将给定序列中零个或多个元素去掉后得到的结果.其形式化定义如下:给定一个序列 X = &lt; x1 , x2 , - , xm &gt;,另一个序列 Z = &lt; z1 , z2 , - , zk &gt;,如果 Z 满足如下条件则称 Z 为 X 的 子序列 (subsequence),			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP8nE6M.html" rel="bookmark">算法导论读书笔记（15） - 红黑树的具体实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法导论读书笔记(15) - 红黑树的具体实现 目录 红黑树的简单Java实现 红黑树的简单Java实现 /** * 红黑树 * * 部分代码参考自TreeMap源码 */ public class RedBlackTree&lt;T&gt; { protected TreeNode&lt;T&gt; root = null; private final Comparator&lt;? super T&gt; comparator; private int size = 0; private static			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPwjAz4.html" rel="bookmark">算法导论读书笔记（16）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法导论读书笔记(16) 目录 动态顺序统计 检索具有给定排序的元素 确定一个元素的秩 区间树 步骤1:基础数据结构 步骤2:附加信息 步骤3:维护信息 步骤4:设计新操作 动态顺序统计 之前介绍过 顺序统计 的概念.在一个无序的集合中,任意的顺序统计量都可以在 O ( n )时间内找到.而这里我们将介绍如何在 O ( lg n )时间内确定任意的顺序统计量. 下图显示的是一种支持快速顺序统计量操作的数据结构.一棵 顺序统计树 T 通过在红黑树的每个结点中存入附加信息而成.在一个结点 x 内,增			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBYpOE4.html" rel="bookmark">算法导论读书笔记（14） - 二叉查找树的具体实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法导论读书笔记(14) - 二叉查找树的具体实现 目录 二叉查找树的简单Java实现 二叉查找树的简单Java实现 /** * 二叉查找树 * 部分代码参考自TreeMap的源码 */ public class BinarySearchTree&lt;T&gt; { protected TreeNode&lt;T&gt; root = null; private final Comparator&lt;? super T&gt; comparator; private int size = 0; pub			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xZlon4.html" rel="bookmark">算法导论读书笔记（13）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法导论读书笔记(13) 目录 红黑树 旋转 插入 情况1 : z 的叔父结点 y 是红色的 情况2 : z 的叔父结点 y 是黑色的,而且 z 是右孩子 情况3 : z 的叔父结点 y 是黑色的,而且 z 是左孩子 删除 情况1 : x 的兄弟 w 是红色的 情况2 : x 的兄弟 w 是黑色的,且 w 的两个孩子都是黑色的 情况3 : x 的兄弟 w 是黑色的, w 的左孩子是红色的,右孩子是黑色的 情况4 : x 的兄弟 w 是黑色的,且 w 的右孩子是红色的 红黑树 红黑树 是一种二叉查			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kgKXj0.html" rel="bookmark">【算法导论学习-29】动态规划经典问题02：最长公共子序列问题（Longest common subsequence，LCS）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述:序列X={x1,x2,-,xn},Y={y1,y2,-,yn},当Z={z1,z2-,zn}是X的严格递增下标顺序(可以不连续)的子集,也是Y的严格递增下标顺序(可以不连续)的子集,则Z是X和Y的公共子序列.例如X={A,B,C,B,D,A,B},Y={B,D,C,A,B,A},{B,C,A}.{B,C,B,A}.{B,D,A,B}都是X和Y的公共子序列.其中最长的公共子序列叫做Longest common subsequence,即经典的LCS. 具体点:char[]xArray和c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rjXX73.html" rel="bookmark">算法导论读书笔记-第十四章-数据结构的扩张</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法导论第14章 数据结构的扩张 一些工程应用需要的只是标准数据结构, 但也有许多其他的应用需要对现有数据结构进行少许的创新和改造, 但是只在很少情况下需要创造出全新类型的数据结构, 更经常的是通过存储额外信息的方法来扩张一种标准的数据结构, 然后对这种数据结构编写新的操作来支持所需要的应用. 但是对数据结构的扩张并不总是简单直接的, 因为新的信息必须要能被该数据结构上的常规操作更新和维护. 14.1 动态顺序统计 顺序统计树(order-static tree) : 在红黑树的基础上, 在每个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AKzvy0.html" rel="bookmark">字符串匹配问题 ---- 算法导论读书笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				字符串匹配是一个很常见的问题,可以扩展为模式的识别,解决字符串问题的思想被广泛地应用.介绍四种解决该问题的办法,包括:最朴素的遍历法,Rabin-Karp算法,自动机机匹配,Knuth-Morris-Pratt算法即耳熟能详的KMP. 在一开始,先对时间复杂度做出一个总扩(从大到小):[1]朴素法:O( (n-m+1)m ):[2]Rabin-Karp:预处理:O(m),匹配:最坏O( (n-m+1)m ),但是平均和实际中比这个好得多:[3]自动机:预处理O(m|Σ|),匹配O(n):[4]K			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3qa193.html" rel="bookmark" class="title">动态网页静态化&plus;局部静态化</a>
					<div>
						静态化: 1.设置缓存时间 if(is_file('./index.html') &amp;&amp; (time()-filemtime('./index.html') &lt; 1200)) {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDRZKe3.html" rel="bookmark" class="title">HttpClient和HttpURLConnection整合汇总对比</a>
					<div>
						性能 1.HttpUrlConnection直接支持GZIP压缩:HttpClient也支持,但要自己写代码处理. 2.HttpUrlConnection直接支持系统级连接池,即打开的连接不会直接关闭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNexP3.html" rel="bookmark" class="title">jsrender demo</a>
					<div>
						1.内置的模板标签,{{:x}}解析html与{{&gt;x}}不解析html区别 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head lang=&quot;en& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JDgw90.html" rel="bookmark" class="title">一个人有无成就，决定于他青年时期是不是有志气。</a>
					<div>
						http://www.jiaoyou8.com/friends_diary/%ba%c3%c9%c1%b9%e2%b7%f2/0_0_0/view_0012441255_no_0_0.html htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2VXX3.html" rel="bookmark" class="title">js实现的div拖动效果实例代码</a>
					<div>
						js实现的div拖动效果实例代码:div的拖动效果在很多效果中都有应用,当然还有很多附加的功能,本章节只是给拖动效果,并介绍一下它的实现过程.代码实例如下: &lt;!DOCTYPE html&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kGrKb0.html" rel="bookmark" class="title">HDU 1548</a>
					<div>
						1 /* 2 BFS(广度优先搜索) 3 在本道题中用来寻找最短路径 4 5 在这里采用模板 6 7 */ 8 #include&lt;cstdio&gt; 9 #include&lt;cstring ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02L7xn4.html" rel="bookmark" class="title">ViewFlipper</a>
					<div>
						main.xml &lt;RelativeLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; xml ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qaA1W3.html" rel="bookmark" class="title">&lbrack;Leetcode&rsqb; Merge k sorted lists 合并k个已排序的链表</a>
					<div>
						Merge k sorted linked lists and return it as one sorted list. Analyze and describe its complexity. 思 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xveZN4.html" rel="bookmark" class="title">nginx fastcgi&lowbar;param导致页面空白</a>
					<div>
						今天在配置nginx的vhost的时候,需要在nginx动态的修改php的&quot;auto_prepend_file&quot;配置,所有就通过fastcgi_param PHP_ADMIN_VA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/382yB1M.html" rel="bookmark" class="title">nodejs 5&period;2&period;0文档自翻译&mdash;&mdash;HTTP模块</a>
					<div>
						HTTP Class: http.Agent new Agent([options]) agent.destroy() agent.freeSockets agent.getName(options) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nYqpKM.html" rel="bookmark" class="title">jfinal 2&period;0 使用Model遍历表结构&lpar;字段列表&rpar;</a>
					<div>
						首先要引入如下类 import java.util.Map; import java.util.Set; import com.jfinal.plugin.activerecord.Table; im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pPxWx4.html" rel="bookmark" class="title">RabbitMQ之Exchange-4</a>
					<div>
						RabbitMQ消息模型的核心思想是生产者不会将消息直接发送给队列.生产者通常不知道消息将会被哪些消费者接收,按照刚开始里介绍的rabbitMQ中所画的,生产者不是直接将消息发送给Queue么认识会交 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RnYyR0.html" rel="bookmark" class="title">hdu 5313 Bipartite Graph 完全二分图 深搜 bitset应用</a>
					<div>
						Bipartite Graph Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/65536 K (Java/Others)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZpGRdM.html" rel="bookmark" class="title">软考网络工程师计算公式整理（全）</a>
					<div>
						网络工程师考试是全国计算机技术与软件水平考试的一项中级资格考试,通过考试的合格人员能根据应用部门的要求进行网络系统的规划.设计和网络设备的软硬件安装调试工作,能进行网络系统的运行.维护和管理,能高效. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NyO8B3.html" rel="bookmark" class="title">ProgressDialog的简单应用，等待提示</a>
					<div>
						在应用中经常会用到一些费时的操作,需要用户进行等待,比如加载网页内容-- 这时候就需要一个提示来告诉用户程序正在执行,并没有假死或者真死--囧-- 而ProgressBar.ProgressDialo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K85mm3.html" rel="bookmark" class="title">Mysql主从复制（同步原理及搭建过程）</a>
					<div>
						一个网站,最重要的就是它上边的数据,但是当有一天数据库挂掉了,将影响整个网站的正常运行,mysql的主从复制能够很好的解决这个问题,mysql主从复制就是,将一个主数据库服务器(Master)的数据同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OpR574.html" rel="bookmark" class="title">VS2008 C&plus;&plus; 利用WinHttp API获取任意Http网址的源码</a>
					<div>
						最近一直在看有关Http的知识,对其基本的理论知识已经有所掌握,想通过一个C++具体的例子进行实际操作..于是上网查找了很多资料,发现在Windows系统上,可以通过WinHttp API接口开啊Ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KjvDJM.html" rel="bookmark" class="title">JQuery总结部分</a>
					<div>
						1.在&lt;script&gt;中,如果是需要页面打开就要载入的部分,需要先写 $(function(){}); 然后把需要变成EasyUI的input或div等的ID写入其中,否则他们不能变成你想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wpP7b4.html" rel="bookmark" class="title">认识操作系统01</a>
					<div>
						win7 mac Android ios					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZNOX3.html" rel="bookmark" class="title">c&num;字符显示转换&lbrace;0&colon;d&rcub;</a>
					<div>
						C#:String.Format数字格式化输出 : int a = 12345678; //格式为sring输出// Label1.Text = string.Format(&quot;asdfads ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
